{% extends 'base.html.twig' %}

{% block title %}Hello ModifyTrickController!{% endblock %}

{% block body %}
    <div class="container">
        <div class="row">
            <div class="col-4 mt-3 d-flex align-items-center justify-content-center w-100 text-center"
                 style="padding-top: 100px; padding-bottom: 100px;">
                {{ form_start(trick_form) }}
                <div class="form-group">
                    {{ form_label(trick_form.name) }}
                    {{ form_widget(trick_form.name, { 'attr': {'class': 'form-control mt-3 mb-3'} }) }}
                </div>
                <div class="form-group">
                    {{ form_label(trick_form.description) }}
                    {{ form_widget(trick_form.description, { 'attr': {'class': 'form-control mt-3 mb-3'} }) }}
                </div>
                <div class="form-group">
                    {{ form_label(trick_form.tags) }}
                    {{ form_widget(trick_form.tags, { 'attr': {'class': 'form-control mt-3 mb-3'} }) }}
                </div>
                <div class="form-group">
                    {{ form_label(trick_form.video) }}
                    {{ form_help(trick_form.video) }}
                    {{ form_widget(trick_form.video, { 'attr': {'class': 'form-control mt-3 mb-3'} }) }}
                </div>

                <div class="form-group">
                    {{ form_label(trick_form.images) }}
                    {{ form_widget(trick_form.images, { 'attr': {'class': 'form-control mt-3 mb-3'} }) }}
                </div>

                {#                {% for image in trick_form.images %} #}
                {#                    <div> #}
                {#                        <img src="{{ asset('/uploads/' ~ image.name) }}" alt="Image" width="150"> #}
                {#                        <a href="{{ path('annonces_delete_image', {id: image.id}) }}" data-delete #}
                {#                           data-token="{{ csrf_token('delete' ~ image.id) }}">Supprimer</a> #}
                {#                    </div> #}
                {#                {% endfor %} #}


                <div class="form-group">
                    {{ form_widget(trick_form.submit, { 'attr': {'class': 'btn btn-primary mt-3'} }) }}
                </div>

                {{ form_end(trick_form) }}
                {#                <button type="submit" class="btn btn-primary mt-3">Créer le trick</button> #}


            </div>
        </div>
    </div>
{% endblock %}
